<script>
    var requireJS = [];
</script>


<div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                <div class="col-lg-1">
                    <h4 class="mb-0 text-gray-800" th:text="#{services.main.title.service}">Servicios</h4>
                </div>
            </nav>
            <button class="btn btn-primary" style="margin-bottom:10px; margin-top: -10px;">
                <div th:text="#{services.add.service}">Añadir Servicio</div>
            </button>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-3" th:each="item : ${page.content}">
            <div class="container">
                <div class="card shadow fixed_height_390">
                    <div class="card-header d-flex flex-row align-items-center justify-content-between nav-item">
                        <h6 class="m-0 font-weight-bold text-primary">
                            <i class="fa fa-circle" th:classappend="${item.active ? 'text-success' : 'text-danger'}"></i>
                            <a th:href="'views/service/' + ${item.id}">
                                <span th:text="${item.serviceName}"></span>
                            </a>
                        </h6>
                        <div class="dropdown no-arrow">
                            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                            </a>
                            <div class="nav-item dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink" x-placement="bottom-end" style="position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(17px, 19px, 0px);">
                                <div class="dropdown-header" th:text="#{services.dropdown.actions}">Actions:</div>
                                <a class="dropdown-item" th:href="'views/service/' + ${item.id}" th:text="#{services.dropdown.edit}">Edit</a>
                                <a class="dropdown-item" th:text="#{services.dropdown.delete}" >Delete</a>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" th:text="#{services.dropdown.activate}">Activate</a>
                            </div>                            
                        </div>
                    </div>
                    <div class="card-body">
                        <ul>
                            <div class="float-right">
                                <img th:src="${item.defaultImage}" class="border" style="padding: 10px;" width="100" height="100"/>
                                <div th:class="${item.active ? 'border-bottom-success' : 'border-bottom-danger'}" th:text="${item.active} ? #{services.active} : #{services.inactive}"></div>
                            </div>
                            <li><strong th:text="|#{services.item.type}:|">Tipo:</strong><span th:text="${item.serviceType}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.code}:|">Código: </strong><span th:text="${item.serviceCode}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.renewal}:|">Renovación: </strong><span th:text="${item.renovation}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.cost}:|">Costo: </strong><span th:text="${item.cost}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.price.list}:|">Lista de precios: </strong><span th:text="${item.priceListId}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.duration.month}:|">Duración en meses: </strong><span th:text="${item.duration}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.assignment}:|">Asignación: </strong><span th:text="${item.asignation}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.valid.date}:|">Fecha válido: </strong><span th:text="${item.validFrom}"></span>-<span th:text="${item.validTo}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.valid.countries}:|">Paises válidos: </strong><span th:text="${item.validCountries}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.localizations}:|">Localizaciones: </strong><span th:text="${item.localizations.size()}"></span></li>
                            <li style='margin-top: 3px;'><strong th:text="|#{services.item.description}:|">Descripción: </strong> <span th:text="${item.description}">
                            Servicio Gratis, por defecto para todos los usuarios registrados, se asigna en el registro del usuario y nunca se vence.
                            Es el plan por defecto que les permite a los usuarios hablar gratis entre ellos</span></li>
                        </ul>
                                               
                    </div>
                </div>
            </div>
            <br/>
        </div>

    </div>
    <br/>
</div>

